package kr.co.uplus.ez.api.attractMgt.dto;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class ChannelListResDto extends ResponseMessage implements Serializable {

	// 데이터.
	private ChannelListRes data;

	public ChannelListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public ChannelListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public ChannelListResDto(ApiResponseCode returnStr, ChannelListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
